Get Dashboard
Retrieves a specific dashboard by ID
GET
/
api
/
v2
/
dashboards
/
{id}
Get Dashboard
curl --request GET \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Infrastructure Monitoring",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Server CPU",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "cpu.usage",
"where": "host:server-01",
"groupBy": []
}
]
},
{
"id": "65f5e4a3b9e77c001a901235",
"name": "Memory Usage",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "memory.usage",
"where": "host:server-01",
"groupBy": []
}
]
}
],
"tags": [
"infrastructure",
"monitoring"
]
}
}Was this page helpful?
⌘I
Get Dashboard
curl --request GET \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Infrastructure Monitoring",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Server CPU",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "cpu.usage",
"where": "host:server-01",
"groupBy": []
}
]
},
{
"id": "65f5e4a3b9e77c001a901235",
"name": "Memory Usage",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "memory.usage",
"where": "host:server-01",
"groupBy": []
}
]
}
],
"tags": [
"infrastructure",
"monitoring"
]
}
}